"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const inquirer = tslib_1.__importStar(require("inquirer"));
const conf_1 = tslib_1.__importDefault(require("conf"));
class Config extends command_1.Command {
    async run() {
        let willWrite = true;
        const config = new conf_1.default();
        if (config.has('username') && config.has('password')) {
            willWrite = (await inquirer.prompt({
                message: 'An existing configuration exists. Do you want to overwrite ?',
                type: 'confirm',
                name: 'willWrite',
            })).willWrite;
        }
        if (willWrite) {
            const results = await inquirer.prompt([
                {
                    message: 'Facebook username or email',
                    type: 'input',
                    name: 'username',
                },
                {
                    message: 'Password',
                    type: 'password',
                    name: 'password',
                },
            ]);
            config.set('username', results.username);
            config.set('password', results.password);
        }
    }
}
exports.default = Config;
Config.description = 'describe the command here';
Config.flags = {
    help: command_1.flags.help({ char: 'h' }),
};
Config.args = [];
